import {ref, onMounted} from 'vue'
import {cacheActions} from "@/hooks/defineCacheActions";
import {useCacheStore} from "@/hooks/useCacheStore";

export const useVideoSubjects = function () {
    const subjects = ref([])
    const {dispatchCache} = useCacheStore()

    onMounted(async () => {
        subjects.value = await dispatchCache(cacheActions.getVideoSubjects)
    })

    return {subjects, keyName: 'label', keyValue: 'code'}
}